io.vertx.redis.client

## Enum RedisClientType

- java.lang.Object
- - java.lang.Enum<RedisClientType>
  - - io.vertx.redis.client.RedisClientType

- All Implemented Interfaces:
    Serializable, Comparable<RedisClientType>

      public enum RedisClientType
      extends Enum<RedisClientType>

  Define what kind of behavior is expected from the client.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `CLUSTER` The client should work in cluster mode.
    `REPLICATION` The client should work in replication mode.
    `SENTINEL` The client should work in sentinel mode.
    `STANDALONE` The client should work in single server mode (the default).

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static RedisClientType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static RedisClientType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### STANDALONE

          public static final RedisClientType STANDALONE

      The client should work in single server mode (the default).

    - #### SENTINEL

          public static final RedisClientType SENTINEL

      The client should work in sentinel mode. When this mode is active, use the `RedisRole` to define which role to get the client connection to.

    - #### CLUSTER

          public static final RedisClientType CLUSTER

      The client should work in cluster mode. When this mode is active, use the `RedisReplicas` to define when replica nodes can be used for read only queries.

    - #### REPLICATION

          public static final RedisClientType REPLICATION

      The client should work in replication mode. When this mode is active, use the `RedisReplicas` to define when replica nodes can be used for read only queries.

  - ### Method Detail

    - #### values

          public static RedisClientType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (RedisClientType c : RedisClientType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static RedisClientType valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2025 Eclipse. All rights reserved.